Bug 57733 - kickstart misplaces mbr in case of combined SCSI/IDE disk systems
kickstart misplaces mbr in case of combined SCSI/IDE disk systems
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2001-12-20 08:50 EST by Paul Arendsen
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-21 13:48:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Paul Arendsen 2001-12-20 08:50:44 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.75 [en] (X11; U; Linux 2.2.16-4SGI_39smp i686)

Description of problem:
I use kickstart to install several  (>20) linux machines over the network.
Having systems with a SCSI system disk and several IDE data disks I want
the SCSI disk to be the one to boot from. The kickstart script CAN NOT know
however what assignments I made in the BIOS (first SCSI or first ATA), ergo
it has to ask the user where to put the MBR. Instead it assumes that if a
/dev/hda exisit that it must place the MBR there. Using lilo as bootloader
one gets a message of a unrecognizable disk (ox82) after which it pauses in
RH7.1. In this pause you can change the lilo.conf file accordingly. In
RH7.2 it does not pause. 
This behaviour is not specific 7.2, nor is it a lilo bug, but since
kickstart is not choosable I put this bugreport here. 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. install RH using kickstart on a machine with SCSI and IDE
2. have the BIOS to boot first from SCSI

Actual Results:  After rebooting as part from the installation the system

Expected Results:  continuation of boot process obviously

Additional info:
Comment 1 Doug Ledford 2002-01-16 21:56:11 EST
Changing package to anaconda since that's where kickstart functionality is
Comment 2 Michael Fulbright 2002-03-26 12:30:18 EST
Deferring to future release.
Comment 3 Red Hat Bugzilla 2006-02-21 13:48:19 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.